[Bug middle-end/61577] [4.9.0 Regression] can't compile on hp-ux v3 ia64

cameron.heide at betasystems dot com gcc-bugzilla@gcc.gnu.org
Thu Jul 25 12:46:00 GMT 2019


https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61577

--- Comment #100 from C. Heide <cameron.heide at betasystems dot com> ---
(In reply to The Written Word from comment #99)
> (In reply to C. Heide from comment #98)
> > (In reply to The Written Word from comment #97)
> > > No issues with PCH or libsupc++ like I'm seeing?
> > 
> > No, but the only "working" build I've had so far was with the "#undef
> > MAKE_DECL_ONE_ONLY" hack and had the duplicate symbol problem. If I remove
> > that hack as recommended, I then get a segfault ICE even earlier than you
> > do, where the stage 2 compiler seems completely broken and crashes even on a
> > single empty function (haven't been able to do much with that yet).
> 
> What linker patch do you have installed?

Looks like it's PHSS_34860, which is probably pretty old (it's also 11.23). In
case they're also relevant, it's using binutils 2.32 for the specified
assembler, and gcc-4.7.4 as the 'native' compiler, previously built per the
advice in PR64919. GMP, MPFR, MPC, and ISL were prebuilt with an even older
compiler (gcc-4.1.1) since some of the self-tests crashed when built with
4.7.4.

The patch set is pretty similar to yours, though a bit cruder (I just #if 0 out
the nftw call) and I just have a minor one from PR67022 that you didn't, to
make DWARF2 the default.


More information about the Gcc-bugs mailing list